Bug 330641

Summary: IMDb does not work for non-english version
Product: tellico Reporter: torte
Component: generalAssignee: Robby Stephenson <robby>
Status: CLOSED NOT A BUG    
Severity: normal CC: lueck
Priority: NOR    
Version: 2.3.8   
Target Milestone: ---   
Platform: openSUSE RPMs   
OS: Linux   
Latest Commit: Version Fixed In: 2.3.9

Description torte 2014-02-01 19:08:28 UTC
Internet Search using IMDb with a non-english language (fr,es,de,pt) returns "Find -IMDb" instead of any useful data.

Reproducible: Always

Steps to Reproduce:
Type a word, for example "test" in the "Internet Serach", and start searching in a IMDb source.
Actual Results:  
The message says "The search returns 1 item." and "Find - IMDb" is added to the list.

Expected Results:  
A list of results is shown like the one from IMDb.com (which works fine).
Comment 1 Burkhard Lück 2014-02-02 11:30:05 UTC
Using tellico in locale x-test: 
$ tellico --version
xxQt: 4.8.2
KDE Development Platform: 4.12.60
xxTellicoxx: 2.4+git
xx
I can not confirm this issue, I get 10 results searching for "test" in IMDb.
Comment 2 torte 2014-02-02 11:44:40 UTC
(In reply to comment #1)
Also with lastest git version I can reproduce it:
tellico --version
startQt: 4.8.5
KDE Development Platform: 4.12.1
Tellico: 2.4+git

I search IMDb.de (various different configurations) for "test" and get one result:
Titel: Find - IMDb
Attribution: Internet Movie Database (Deutsch)
Comment 3 Robby Stephenson 2014-05-26 05:41:12 UTC
Git commit b12b0b08ed0561b60b736e3a2f1a1f356e6a95c9 by Robby Stephenson.
Committed on 26/05/2014 at 05:39.
Pushed by rstephenson into branch '2.3'.

Remove country choice in IMDb data source

The national IMDb sites all redirect to imdb.com now
FIXED-IN: 2.3.9

M  +1    -0    ChangeLog
M  +14   -8    src/fetch/imdbfetcher.cpp
M  +1    -1    src/fetch/imdbfetcher.h
M  +2    -0    src/tests/imdbfetchertest.cpp

http://commits.kde.org/tellico/b12b0b08ed0561b60b736e3a2f1a1f356e6a95c9